<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="formRoles">
                <h:outputText escape="false" value="#{bundle.ListRolEmpty}" rendered="#{rolController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{rolController.items.rowCount > 0}">
                    <p:dataTable id="tablaRoles" value="#{rolController.items}" var="item"  
                                 widgetVar="tablaRoles" emptyMessage="No hay solicitudes disponibles" paginator="true" rows="10"
                                 rowKey="#{item.rolId}" >
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListRolTitle_rolId}"/>
                            </f:facet>
                            <h:outputText value="#{item.rolId}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListRolTitle_rolNombre}"/>
                            </f:facet>
                            <h:outputText value="#{item.rolNombre}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            
                            <p:commandButton action="#{rolController.prepareEdit}" value="#{bundle.ListRolEditLink}" oncomplete="PF('dlgRol').show();" 
                                           process="@this" update=":tabViewAdmin:rolesPanel:dialogRol"/>
                            <h:outputText value=" "/><br/><br/>
                            <p:commandButton action="#{rolController.destroy}" value="#{bundle.ListRolDestroyLink}"
                                           process="@this" update=":tabViewAdmin:rolesPanel:formRoles:tablaRoles">
                                <p:confirm header="Confirmacion" message="Esta seguro de eliminar?" icon="ui-icon ui-icon-comment" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon ui-icon-close" />
                            </p:confirmDialog> 
                            <h:commandLink />
                            <h:outputText value=" "/>
                            <h:commandLink />
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
            <p:dialog id="dialogRol" position="center" header="Inventario #{rolController.selected.rolNombre}" modal="true"
                      widgetVar="dlgRol"   appendTo="@(body)" closable="true"  >
                <p:outputPanel  style="text-align:center;">
                    <ui:include src="/web/rol/Edit.xhtml" rendered="#{!sessionBean.activa}" />

                </p:outputPanel>
            </p:dialog>
        </ui:define>
    </ui:composition>

</html>
